Description

TopWindow max/minimization works in different way than any other application.

How to reproduce:

  Open window -> normal state

  Maximize window -> maximized

  Minimize it -> minimized

  Restore it -> normal state (expected maximized)

Solution would require to have "maximized" and "minimized" instead of current single "state" property.

If this is confirmed to be a bug I can prepare a patch.

History

#1 - 01/31/2011 06:43 PM - Jan Dolinár

Solution would require to have "maximized" and "minimized" instead of current single "state" property.

Thinking about it more, nicer solution is to have enum{MAXIMIZED=1, MINIMIZED=2} and use state as bitfield. If declared as "byte state:2" at correct

position, we can even save one byte per TopWindow ;-)

#2 - 02/16/2011 03:40 PM - Sender Ghost

Jan Dolinár wrote:

TopWindow max/minimization works in different way than any other application.

I can confirm this bug on FreeBSD 8.1, Xorg 7.5, XFCE 4.6.2, TheIDE r3212, but with some different behaviour (on last stage). Instead of restoring the

window, close it from panel menu (near system tray). After start, TheIDE window will not restore maximized state.

Also, when application window closed in maximized state it not restores its sizes after.

#3 - 03/05/2011 09:16 PM - Jan Dolinár

- Status changed from New to Rejected

I can't reproduce the behavior described above anymore... It seems like it was actually a glitch in my window manager and that it was fixed already.

12/14/2025 1/2



12/14/2025 2/2


